Package org.jmock.expectation

# Class AbstractExpectation

java.lang.Object
org.jmock.expectation.AbstractExpectation

All Implemented Interfaces:
  `Verifiable`, `Expectation`

Direct Known Subclasses:
  `AbstractExpectationCollection`, `ExpectationCounter`, `ExpectationDoubleValue`, `ExpectationSegment`, `ExpectationValue`

public abstract class AbstractExpectation extends Object implements Verifiable, Expectation

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`myFailureModeIsImmediate`
`protected String`
`myName`

## Constructor Summary

Constructors
Constructor
Description
`AbstractExpectation(String name)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`assertEquals(String msg, int expectedValue, int actualValue)`
`protected void`
`assertEquals(String msg, Object expectedValue, Object actualValue)`
Due to junit Assert being a Singleton implemented with static methods, and java's unfortunate implementation of class methods (e.g.
`abstract void`
`clearActual()`
`boolean`
`hasExpectations()`
Return true if any expectations have been set on this object.
`void`
`setFailOnVerify()`
If an incorrect actual value is set, defer reporting this as a failure until verify() is called on this object.
`protected void`
`setHasExpectations()`
`protected boolean`
`shouldCheckImmediately()`
`abstract void`
`verify()`
Throw an AssertionFailedException if any expectations have not been met.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jmock.expectation.Expectation

`setExpectNothing`

## Field Details

### myFailureModeIsImmediate

protected boolean myFailureModeIsImmediate

### myName

protected String myName

## Constructor Details

### AbstractExpectation

public AbstractExpectation(String name)

## Method Details

### assertEquals

protected void assertEquals(String msg, int expectedValue, int actualValue)

### assertEquals

protected void assertEquals(String msg, Object expectedValue, Object actualValue)
Due to junit Assert being a Singleton implemented with static methods, and java's unfortunate implementation of class methods (e.g. no late binding) it is necessary to re-implement this invokedMethod here instead of over-riding failNotEquals

### clearActual

public abstract void clearActual()

### hasExpectations

public boolean hasExpectations()
Description copied from interface: `Expectation`
Return true if any expectations have been set on this object.

Specified by:
  `hasExpectations` in interface `Expectation`

### setFailOnVerify

public void setFailOnVerify()
Description copied from interface: `Expectation`
If an incorrect actual value is set, defer reporting this as a failure until verify() is called on this object.

Specified by:
  `setFailOnVerify` in interface `Expectation`

### setHasExpectations

protected void setHasExpectations()

### shouldCheckImmediately

protected boolean shouldCheckImmediately()

### verify

public abstract void verify()
Description copied from interface: `Verifiable`
Throw an AssertionFailedException if any expectations have not been met. Implementations of this method must be idempotent: jMock can call this method more than once when verifying expectations at the end of a test.

Specified by:
  `verify` in interface `Verifiable`